## r-bioc-summarizedexperiment 1.32.0+dfsg

=== DESCRIPTION ===
Package: SummarizedExperiment
Title: SummarizedExperiment container
Description: The SummarizedExperiment container contains one or more assays,
	each represented by a matrix-like object of numeric or other mode.
	The rows typically represent genomic ranges of interest and the columns
	represent samples.
biocViews: Genetics, Infrastructure, Sequencing, Annotation, Coverage,
        GenomeAnnotation
URL: https://bioconductor.org/packages/SummarizedExperiment
BugReports: https://github.com/Bioconductor/SummarizedExperiment/issues
Version: 1.32.0
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Martin", "Morgan", role="aut"),
	person("Valerie", "Obenchain", role="aut"),
	person("Jim", "Hester", role="aut"),
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"))
Depends: R (>= 4.0.0), methods, MatrixGenerics (>= 1.1.3),
        GenomicRanges (>= 1.41.5), Biobase
Imports: utils, stats, tools, Matrix, BiocGenerics (>= 0.37.0),
        S4Vectors (>= 0.33.7), IRanges (>= 2.23.9), GenomeInfoDb (>=
        1.13.1), S4Arrays (>= 1.1.1), DelayedArray (>= 0.27.1)
Suggests: HDF5Array (>= 1.7.5), annotate, AnnotationDbi, hgu95av2.db,
        GenomicFeatures, TxDb.Hsapiens.UCSC.hg19.knownGene, jsonlite,
        rhdf5, airway (>= 1.15.1), BiocStyle, knitr, rmarkdown, RUnit,
        testthat, digest
VignetteBuilder: knitr
Collate: Assays-class.R SummarizedExperiment-class.R
        RangedSummarizedExperiment-class.R intra-range-methods.R
        inter-range-methods.R coverage-methods.R combine-methods.R
        findOverlaps-methods.R nearest-methods.R
        makeSummarizedExperimentFromExpressionSet.R
        makeSummarizedExperimentFromDataFrame.R
        makeSummarizedExperimentFromLoom.R zzz.R
git_url: https://git.bioconductor.org/packages/SummarizedExperiment
git_branch: RELEASE_3_18
git_last_commit: fbea511
git_last_commit_date: 2023-10-24
Date/Publication: 2023-10-24
NeedsCompilation: no
Packaged: 2023-10-24 23:17:20 UTC; biocbuild
Author: Martin Morgan [aut],
  Valerie Obenchain [aut],
  Jim Hester [aut],
  Hervé Pagès [aut, cre]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-summarizedexperiment (1.32.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 01:56:18 +0000

=== debian/control ===
Source: r-bioc-summarizedexperiment
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-matrixgenerics,
               r-bioc-genomicranges,
               r-bioc-biobase,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.37.0),
               r-bioc-s4vectors (>= 0.33.7),
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-s4arrays (>= 1.1.1),
               r-bioc-delayedarray (>= 0.27.1)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-summarizedexperiment
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-summarizedexperiment.git
Homepage: https://bioconductor.org/packages/SummarizedExperiment/
Rules-Requires-Root: no

Package: r-bioc-summarizedexperiment
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor assay container
 The SummarizedExperiment container contains one or more assays, each
 represented by a matrix-like object of numeric or other mode. The rows
 typically represent genomic ranges of interest and the columns
 represent samples.

## r-bioc-summarizedexperiment 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -8,7 +8,7 @@
         GenomeAnnotation
 URL: https://bioconductor.org/packages/SummarizedExperiment
 BugReports: https://github.com/Bioconductor/SummarizedExperiment/issues
-Version: 1.32.0
+Version: 1.34.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -18,7 +18,7 @@
 	person("Hervé", "Pagès", role=c("aut", "cre"),
 		email="hpages.on.github@gmail.com"))
 Depends: R (>= 4.0.0), methods, MatrixGenerics (>= 1.1.3),
-        GenomicRanges (>= 1.41.5), Biobase
+        GenomicRanges (>= 1.55.2), Biobase
 Imports: utils, stats, tools, Matrix, BiocGenerics (>= 0.37.0),
         S4Vectors (>= 0.33.7), IRanges (>= 2.23.9), GenomeInfoDb (>=
         1.13.1), S4Arrays (>= 1.1.1), DelayedArray (>= 0.27.1)
@@ -35,12 +35,13 @@
         makeSummarizedExperimentFromDataFrame.R
         makeSummarizedExperimentFromLoom.R zzz.R
 git_url: https://git.bioconductor.org/packages/SummarizedExperiment
-git_branch: RELEASE_3_18
-git_last_commit: fbea511
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 503f180
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-01
 NeedsCompilation: no
-Packaged: 2023-10-24 23:17:20 UTC; biocbuild
+Packaged: 2024-05-01 23:41:24 UTC; biocbuild
 Author: Martin Morgan [aut],
   Valerie Obenchain [aut],
   Jim Hester [aut],

=== debian/changelog ===
r-bioc-summarizedexperiment (1.34.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:13:40 +0200

r-bioc-summarizedexperiment (1.34.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 10:08:34 +0200

r-bioc-summarizedexperiment (1.34.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 20:36:27 +0200

=== debian/control ===
Source: r-bioc-summarizedexperiment
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-matrixgenerics (>= 1.16.0),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-biobase (>= 2.64.0),
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1), 
               r-bioc-s4arrays (>= 1.4.1),
               r-bioc-delayedarray (>= 0.30.1)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-summarizedexperiment
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-summarizedexperiment.git
Homepage: https://bioconductor.org/packages/SummarizedExperiment/
Rules-Requires-Root: no

Package: r-bioc-summarizedexperiment
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-matrixgenerics (>= 1.16.0),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomeinfodb (>= 1.40.1), 
         r-bioc-s4arrays (>= 1.4.1),
         r-bioc-delayedarray (>= 0.30.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-hdf5array (>= 1.32.0),
          r-bioc-annotate (>= 1.82.0),
          r-bioc-annotationdbi (>= 1.66.0),
          r-bioc-rhdf5 (>= 2.48.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: BioConductor assay container
 The SummarizedExperiment container contains one or more assays, each
 represented by a matrix-like object of numeric or other mode. The rows
 typically represent genomic ranges of interest and the columns
 represent samples.

## r-bioc-summarizedexperiment 1.36.0+dfsg

=== DESCRIPTION ===
Package: SummarizedExperiment
Title: A container (S4 class) for matrix-like assays
Description: The SummarizedExperiment container contains one or more assays,
	each represented by a matrix-like object of numeric or other mode.
	The rows typically represent genomic ranges of interest and the columns
	represent samples.
biocViews: Genetics, Infrastructure, Sequencing, Annotation, Coverage,
        GenomeAnnotation
URL: https://bioconductor.org/packages/SummarizedExperiment
BugReports: https://github.com/Bioconductor/SummarizedExperiment/issues
Version: 1.36.0
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Martin", "Morgan", role="aut"),
	person("Valerie", "Obenchain", role="aut"),
	person("Jim", "Hester", role="aut"),
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"))
Depends: R (>= 4.0.0), methods, MatrixGenerics (>= 1.1.3),
        GenomicRanges (>= 1.55.2), Biobase
Imports: utils, stats, tools, Matrix, BiocGenerics (>= 0.51.3),
        S4Vectors (>= 0.33.7), IRanges (>= 2.23.9), GenomeInfoDb (>=
        1.13.1), S4Arrays (>= 1.1.1), DelayedArray (>= 0.31.12)
Suggests: jsonlite, rhdf5, HDF5Array (>= 1.7.5), annotate,
        AnnotationDbi, GenomicFeatures, SparseArray,
        SingleCellExperiment, TxDb.Hsapiens.UCSC.hg19.knownGene,
        hgu95av2.db, airway (>= 1.15.1), BiocStyle, knitr, rmarkdown,
        RUnit, testthat, digest
VignetteBuilder: knitr
Collate: Assays-class.R SummarizedExperiment-class.R
        RangedSummarizedExperiment-class.R intra-range-methods.R
        inter-range-methods.R coverage-methods.R combine-methods.R
        findOverlaps-methods.R nearest-methods.R
        makeSummarizedExperimentFromExpressionSet.R
        makeSummarizedExperimentFromDataFrame.R
        makeSummarizedExperimentFromLoom.R zzz.R
git_url: https://git.bioconductor.org/packages/SummarizedExperiment
git_branch: RELEASE_3_20
git_last_commit: c84e08a
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-30 03:07:24 UTC; biocbuild
Author: Martin Morgan [aut],
  Valerie Obenchain [aut],
  Jim Hester [aut],
  Hervé Pagès [aut, cre]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-summarizedexperiment (1.36.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 21:53:24 +0100

r-bioc-summarizedexperiment (1.36.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:57:54 +0100

=== debian/control ===
Source: r-bioc-summarizedexperiment
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-matrixgenerics,
               r-bioc-genomicranges (>= 1.55.2),
               r-bioc-biobase,
               r-cran-matrix,
               r-bioc-biocgenerics (>= 0.51.3),
               r-bioc-s4vectors (>= 0.33.7),
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-s4arrays,
               r-bioc-delayedarray (>= 0.31.12)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-summarizedexperiment
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-summarizedexperiment.git
Homepage: https://bioconductor.org/packages/SummarizedExperiment/
Rules-Requires-Root: no

Package: r-bioc-summarizedexperiment
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor assay container
 The SummarizedExperiment container contains one or more assays, each
 represented by a matrix-like object of numeric or other mode. The rows
 typically represent genomic ranges of interest and the columns
 represent samples.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/SummarizedExperiment.html .*/SummarizedExperiment_([\d\.]+)\.tar\.gz
